create_ellipse

Modeler3D.create_ellipse(cs_plane, position, major_radius, ratio, is_covered=True, name=None, matname=None)

Create an ellipse.

Parameters
cs_planestr or int

Coordinate system plane for orienting the ellipse. pyaedt.constants.PLANE Enumerator can be used as input.

positionlist

List of [x, y, z] coordinates for the center point of the ellipse.

major_radiusfloat

Base radius of the ellipse.

ratiofloat

Aspect ratio of the secondary radius to the base radius.

is_coveredbool, optional

Whether the ellipse is covered. The default is True, in which case the result is a 2D sheet object. If False, the result is a closed 1D polyline object.

namestr, optional

Name of the ellipse. The default is None, in which case the default name is assigned.

matnamestr, optional

Name of the material. The default is None, in which case the default material is assigned.

Returns
pyaedt.modeler.Object3d.Object3d

3D object.

References

>>> oEditor.CreateEllipse